﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ScrollPagerWeb.Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="Scripts/jquery-1.4.1.js" type="text/javascript"></script>
    <script src="Scripts/scrollpagination.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript">
        $(document).ready(function () {
            scroll();
        });
        function scroll() {
            var pageIndex = 1;
            $(function () {
                $('#nomoreresults').hide();
                $('#content').scrollPagination({
                    'contentPage': 'Test.ashx', // democontent2.html the url you are fetching the results
                    'method': 'POST',
                    'dataType': 'html',
                    'contentData': 'pageIndex=' + pageIndex, // these are the variables you can pass to the request, for example: children().size() to know which page you are
                    'scrollTarget': $(window), // who gonna scroll? in this example, the full window
                    'triggerView': $('#loading'),      // trigged on view.  if this view is visible, then load data.
                    'heightOffset': 10, // it gonna request when scroll is 10 pixels before the page ends
                    'beforeLoad': function (obj, opts) { // before load function, you can display a preloader div
                        //$(obj).find("tbody tr").attr('rel', 'loaded'); 
                        opts.contentData = 'pageIndex=' + pageIndex
                        $('#loading').fadeIn();
                    },
                    'loadData': function (obj, data) {
                        $(obj).append(data);
                        pageIndex++;        // 下一页。
                    },
                    'afterLoad': function (obj, data) { // after loading content, you can use this function to animate your new elements
                        if ((data == null || data == "")) {
                            // 没有更多内容可以显示。
                            $('#loading').fadeOut();        // 加载提示按钮不再显示。
                            $('#nomoreresults').fadeIn();
                            $('#content').stopScrollPagination();
                            return;
                        }
                        $('#loading').fadeOut();
                    },
                    'onerror': function (textStatus, errorThrown) {
                    },
                    'debug': false
                });
                // code for fade in element by element
                $.fn.fadeInWithDelay = function () {
                    var delay = 0;
                    return this.each(function () {
                        $(this).delay(delay).animate({ opacity: 1 }, 200);
                        delay += 100;
                    });
                };
            });
        }
    </script>
</head>
<body>
     <form id="form1" runat="server">
    <div id="content">
    </div>
    <div class="loading" id="loading">
    </div>
    <div class="ending" id="nomoreresults">
        <label>
            全部数据加载完毕！</label>
    </div>
    </form>
    <image src="../statics/dialog/loading.gif"></image>
</body>
</html>
